Changelogs » Edx-ecommerce-worker

PyUp Safety actively tracks 267,270 Python packages for vulnerabilities and notifies you when to upgrade.

Edx-ecommerce-worker

1.0.0

- Dropped support for `python2.7`.
  - Updated `pep8` to `pycodestyle`.

0.10.0

Added a new task for sending the code assignment nudge emails.

0.9.0

- Added different version of `edx_rest_api_client` in requirements for different Python versions

0.8.8

- Added Python 3.5 compatibility

0.8.7

Add base_enterprise_url to sailthru variables for offer emails

0.8.6

- Modernize Code for Python 3.5 Support

0.8.5

Change httpretty with responses because the current version of httpretty is from 2015, does not have support for python 3.5 and if we upgrade that version the test suite gets broken.
  
  This will be needed for the migration to python3.

0.8.4

Changed Email template for Enterprise Portal Emails.

0.8.3

This release updates our version of pyyaml; our previous version has a security vulnerability

0.8.2 not secure

This release adds a new email template for Enterprise Portal emails

0.7.5

This release fixes an issue with offer limit emails not being sent.

0.7.4

Adds a new task to send offer limit emails to admins.

0.7.3

Adds a new task to send offer limit emails to admins.
  
  release-2016-11-01
  With this release, we have the fix for the following issue:
  ECOM-5901 - Investigate failed fulfillments from Sept

0.4.1


        

0.4.0

Adds site-specific configuration overrides

0.3.0

Avoid initialization of Celery when importing shared tasks

0.2.0

Use JWT authentication against the ecommerce service.

0.1.0

Initial release of the ecommerce-worker package.